+++
title = "bobamail"
aliases = ["/mail"]

description = """
bobamail uses Mailcow, a mail server suite which runs on open source software
and a modern user interface.
"""
+++

## URLs

- Webmail: https://mail.boba.best/SOGo/
- bobamail ui: https://mail.boba.best/

## Signup

Currently, bobamail is in private beta for people that I know. Keep an eye on
the [blog](/blog) and/or its [RSS feed](/blog/index.xml) for updates.

## Mailcow

bobamail runs [Mailcow](https://mailcow.email/), which is a full mail server
suite that runs on open source software. The following sections will go over
some of the main features.

### Spam and Malware Scanning

Mailcow uses [Rspamd](https://www.rspamd.com/) for spam filtering, virus
detection (via [ClamAV](https://www.clamav.net/)), and DKIM signing.[^1]

#### Greylisting

Emails that could possibly be spam (7+ points[^2]) are
[greylisted](https://en.wikipedia.org/wiki/Greylisting_(email)) (otherwise known
as a soft reject). This means that at first, the message is temporarily
rejected. Legitimate email servers will keep track of this and try again
(usually after a few minutes). If this happens, then the email will eventually
be allowed through. If the email got 8 or more points, then it will also be sent
to the Junk folder instead of Inbox.

#### Learning

Rspamd will automatically learn an email as spam (or ham) if you move it into
your Junk folder from any other folder except Trash. It will also automatically
learn using emails that get an extremely high or extremely low score.[^3]

### bobamail ui

This is the web interface provided by Mailcow for configuring various things
about your account. This is separate from the webmail client provided by SOGo,
which allows you to view your emails.

#### Temporary Aliases

You can create temporary aliases (otherwise known as spam aliases) in the
[bobamail ui](https://mail.boba.best/). These aliases can be created for time
periods varying from one hour to four weeks. Temporary aliases can be created
and deleted at any time.[^4]

#### Plus Aliases and Tagging

Mailcow supports "tagging" your email address using the plus sign. For example,
mail sent to example+shopping@boba.best and example+work@boba.best will both go
to example@boba.best. Anything can be put after the plus sign, as long as it
makes a valid email address. In [bobamail ui](https://mail.boba.best), under the
"Set handling for tagged mail" section, you can choose what to do with mail sent
to these addresses. You can choose to either:[^5]

- do nothing, and send the email to your Inbox
- add the tag to the subject (ex. `[shopping] New deals`)
- move the mail to a subfolder under Inbox (ex. Inbox/shopping)

### Webmail Client

Mailcow provides a webmail interface using [SOGo](https://www.sogo.nu/). It
provides an easy-to-use web-based mail client in case you don't want to use one
on your computer. In addition, SOGo provides an address book and calendar.[^6]
SOGo is separate from [bobamail ui](https://mail.boba.best/), which is Mailcow's
UI, for changing various settings.

#### Calendar and Address Book

SOGo also provides a calendar and contacts system. You can access them through
the webmail interface, or by connecting them to your devices using CalDAV and
CardDAV.[^7]

[^1]: [https://mailcow.github.io/mailcow-dockerized-docs/u_e-rspamd/](https://web.archive.org/web/20210511143552/https://mailcow.github.io/mailcow-dockerized-docs/u_e-rspamd/)
[^2]: [https://mailcow.github.io/mailcow-dockerized-docs/u_e-rspamd/#spam-filter-thresholds-global](https://web.archive.org/web/20210511143552/https://mailcow.github.io/mailcow-dockerized-docs/u_e-rspamd/#spam-filter-thresholds-global)
[^3]: [https://mailcow.github.io/mailcow-dockerized-docs/u_e-rspamd/#learn-spam-ham](https://web.archive.org/web/20210511143552/https://mailcow.github.io/mailcow-dockerized-docs/u_e-rspamd/#learn-spam-ham)
[^4]: [https://mailcow.github.io/mailcow-dockerized-docs/u_e-mailcow_ui-spamalias/](https://web.archive.org/web/20210511143709/https://mailcow.github.io/mailcow-dockerized-docs/u_e-mailcow_ui-spamalias/)
[^5]: [https://mailcow.github.io/mailcow-dockerized-docs/u_e-mailcow_ui-tagging/](https://web.archive.org/web/20210511143721/https://mailcow.github.io/mailcow-dockerized-docs/u_e-mailcow_ui-tagging/)
[^6]: [https://mailcow.github.io/mailcow-dockerized-docs/u_e-sogo/](https://web.archive.org/web/20210511143745/https://mailcow.github.io/mailcow-dockerized-docs/u_e-sogo/)
[^7]: [https://mailcow.github.io/mailcow-dockerized-docs/client/client-manual/#contacts-and-calendars](https://web.archive.org/web/20210511143740/https://mailcow.github.io/mailcow-dockerized-docs/client/client-manual/#contacts-and-calendars)
